Package org.eclipse.net4j.util.collection

# Class Entity.SingleNamespace

java.lang.Object
org.eclipse.net4j.util.collection.Entity.SingleNamespace

All Implemented Interfaces:
  `Entity.Store`

Direct Known Subclasses:
  `Entity.SingleNamespaceComputer`, `Entity.SingleNamespaceStore`

Enclosing class:
  Entity

public abstract static class Entity.SingleNamespace extends Object implements Entity.Store

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`Entity.Store.Provider`

## Constructor Summary

Constructors
Constructor
Description
`SingleNamespace(String namespace)`

## Method Summary

Modifier and Type
Method
Description
`final Stream<Entity>`
`entities(String namespace)`
`final Entity.Builder`
`entityBuilder()`
`final Entity.Builder`
`entityBuilder(String name)`
`final Stream<String>`
`names()`
`final String`
`namespace()`
`final boolean`
`namespace(String namespace)`
`final Stream<String>`
`namespaces()`
`final Entity.Store`
`store(String namespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`entities, entity, entity, names`

## Constructor Details

### SingleNamespace

public SingleNamespace(String namespace)

## Method Details

### namespace

public final String namespace()

### namespace

public final boolean namespace(String namespace)

Specified by:
  `namespace` in interface `Entity.Store`

### namespaces

public final Stream<String> namespaces()

Specified by:
  `namespaces` in interface `Entity.Store`

### names

public final Stream<String> names()

### entities

public final Stream<Entity> entities(String namespace)

Specified by:
  `entities` in interface `Entity.Store`

### entityBuilder

public final Entity.Builder entityBuilder()

### entityBuilder

public final Entity.Builder entityBuilder(String name)

### store

public final Entity.Store store(String namespace)

Specified by:
  `store` in interface `Entity.Store`